/******************************************************************
*  源程序名：Exercise6_1_2.cpp                　　　　　　  　　  *
*  功能：从键盘输入一个小写字母，输出该小写字母的后继字符(若为a， *
*        则返回b；若为z，返回a)。要求用自定义函数实现求任意一个小 *
*        写字母后继字符的功能。                                   *
******************************************************************/
#include <iostream.h>
char fun(char ch);//函数原型声明
void main()
{
	char ch;
	cout<<"请输入一个小写字母：";
	cin>>ch;
	if (ch>='a' && ch<='z')
	{
		cout<<"字符"<<ch<<"的后继字符是："<<fun(ch)<<endl;
	}
	else
	{
		cout<<"您输入的不是小写字母字符!"<<endl;
	}
}
char fun(char ch)
{
	char nextCh;//ch的下一字符
	if (ch>='a' && ch<='y')
		nextCh=ch+1;//应用ASCII码，赋值运算自动将=右侧的值转换成左侧变量的类型
	else if(ch=='z') 
		nextCh='a';
	return nextCh;
}